Subject: Re: linux-next: build failure after merge of the amdgpu tree

From: Christoph Hellwig <[email-masked]>
Date: Mon, 11 Oct 2021 10:01:35 +0200

On Mon, Oct 11, 2021 at 07:57:17AM +0000, Simon Ser wrote:
> No, we can't have a "I_AM_NOT_BROKEN" ioctl for each and every uAPI mis-use.
> User-space detection has been determined to be the best course of action.

If your API addition breaks userspace, yes you need an add-in.

> I guess I'll just inline these functions in the driver then, if a revert will
> be NACK'ed by you?

It will be NACKed, and I will also complain to Linus about any PR containing
buggy code like this.

With your completely broken change you cement in a mapping of an executable
name to map to what you consider a "bug" without any way to fix it up.

Which is even worse for a something fast moving like chrome/chromeos which
will eventually gets its act together and fix things while you'll keep a
weird feature mismatch just for it around forever.

No wonder our graphics stack is stuch a convoluted buggy mess if you keep
piling broken workarounds over workarounds instead of sorting things out
properly.